## hindsight 0.12.7

=== CMakeLists.txt ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
project(hindsight VERSION 0.12.7 LANGUAGES C)
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Hindsight")
set(CPACK_PACKAGE_VERSION_MAJOR ${PROJECT_VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${PROJECT_VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${PROJECT_VERSION_PATCH})
set(CPACK_PACKAGE_VENDOR        "Mozilla Services")
set(CPACK_PACKAGE_CONTACT       "Mike Trinkala <trink@mozilla.com>")
set(CPACK_STRIP_FILES           TRUE)
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/LICENSE")
set(CPACK_RPM_PACKAGE_LICENSE   "MPLv2.0")
set(CPACK_DEBIAN_PACKAGE_DEPENDS "luasandbox (>= 1.1)")

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

include(mozsvc)

find_package(luasandbox 1.2.0 REQUIRED CONFIG)
include(GNUInstallDirs)

if(CMAKE_HOST_UNIX)
  find_library(PTHREAD_LIBRARY pthread)
  find_library(LIBDL_LIBRARY dl)
  find_library(LIBM_LIBRARY m)
  find_library(LIBRT_LIBRARY rt)

  set(UNIX_LIBRARIES
  ${PTHREAD_LIBRARY}
  ${LIBDL_LIBRARY}
  ${LIBM_LIBRARY}
  ${LIBRT_LIBRARY})
  add_definitions(-D_POSIX_C_SOURCE=199309L -D_XOPEN_SOURCE=600)
endif()

set(INSTALL_SANDBOX_PATH ${CMAKE_INSTALL_DATAROOTDIR}/luasandbox/sandboxes)
set(DPERMISSION DIRECTORY_PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
set(EMPTY_DIR ${CMAKE_BINARY_DIR}/empty)
file(MAKE_DIRECTORY ${EMPTY_DIR})
install(DIRECTORY ${EMPTY_DIR}/ DESTINATION ${INSTALL_SANDBOX_PATH} ${DPERMISSION})
install(DIRECTORY ${CMAKE_SOURCE_DIR}/sandboxes/ DESTINATION ${INSTALL_SANDBOX_PATH}/heka ${DPERMISSION})

add_subdirectory(src)

=== src/CMakeLists.txt ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

set(HINDSIGHT_SRC
hindsight.c
hs_analysis_plugins.c
hs_checkpoint_reader.c
hs_checkpoint_writer.c
hs_config.c
hs_input.c
hs_input_plugins.c
hs_logger.c
hs_output.c
hs_output_plugins.c
hs_util.c
)

set(HINDSIGHT_LIBS
${LUASANDBOX_LIBRARIES}
${UNIX_LIBRARIES})

add_executable(hindsight ${HINDSIGHT_SRC})
set(HINDSIGHT_LIBS
${LUASANDBOX_LIBRARIES}
${UNIX_LIBRARIES})

target_link_libraries(hindsight ${HINDSIGHT_LIBS})

add_executable(hindsight_cli ${HINDSIGHT_SRC})

target_compile_definitions(hindsight_cli PUBLIC "-DHINDSIGHT_CLI")
target_link_libraries(hindsight_cli ${HINDSIGHT_LIBS})

install(TARGETS hindsight DESTINATION ${CMAKE_INSTALL_BINDIR})
install(TARGETS hindsight_cli DESTINATION ${CMAKE_INSTALL_BINDIR})

add_subdirectory(test)

=== src/test/CMakeLists.txt ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

configure_file(test.h.in test.h ESCAPE_QUOTES)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_executable(test_config ../hs_config.c ../hs_logger.c ../hs_checkpoint_reader.c ../hs_util.c test_config.c)
target_link_libraries(test_config ${HINDSIGHT_LIBS})
add_test(NAME test_config WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} COMMAND test_config)

=== debian/changelog ===
hindsight (0.12.7-1) unstable; urgency=medium

  * New upstream version
    - Switch to git based upstream, as there is no tarball
  * Add me to uploaders
  * Bump libluasandbox-dev build-dep to 1.2

 -- Mathieu Parent <sathieu@debian.org>  Wed, 16 Nov 2016 22:42:52 +0100

hindsight (0.11.2-1) unstable; urgency=medium

  * Initial release (Closes: #838968)

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 27 Sep 2016 15:18:52 +0200

=== debian/control ===
Source: hindsight
Section: admin
Priority: optional
Maintainer: Heka Maintainers <pkg-heka-maint@lists.alioth.debian.org>
Uploaders: Raphaël Hertzog <hertzog@debian.org>, Mathieu Parent <sathieu@debian.org>
Build-Depends: debhelper (>= 9), cmake, libluasandbox-dev (>= 1.2.0)
Standards-Version: 3.9.8
Homepage: https://github.com/mozilla-services/hindsight
Vcs-Git: https://anonscm.debian.org/pkg-heka/hindsight.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-heka/hindsight.git

Package: hindsight
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Light weight data processing infrastructure
 Hindsight is a C based data processing infrastructure based on the lua
 sandbox project. This was developed as a light weight replacement for
 Heka with a faster data pipeline and delivery guarantees.
 .
 Hindsight is that light weight skeleton around the same lua sandbox
 offering 'at least once' delivery semantics.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=release

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/mozilla-services/hindsight/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
